package com.ruoyi.system.api.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.annotation.Excel.ColumnType;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 用户对象 sys_user
 * 
 * @author ruoyi
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SysUserVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    @Excel(name = "用户序号", cellType = ColumnType.NUMERIC, prompt = "用户编号")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long userId;

    /** 帐号状态（0正常 1停用） */
    @Excel(name = "帐号状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public SysUserVo()
    {

    }

    public SysUserVo(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    /**
     * 已授权业务范围
     */
    private String permitBusinessScope;

    /**
     * 申请业务范围
     */
    private String applyBusinessScope;

    /**
     * 认证名称
     */
    private String authName;

    /**
     * 认证状态
     */
    private String authStatus;

    /**
     * 父认证类型（字典：1车主 2船主 3货主）
     */
    private String parentAuthType;

    /**
     * 具体认证类型（字典：11个人车主 12公司车主）
     */
    private String authType;

    /**
     * 信用等级
     */
    private String creditLevel;

    /**
     * 联系人
     */
    private String contactName;

    /**
     * 联系电话
     */
    private String contactTel;

    /**
     * 联系地址完整中文
     */
    private String contactAddrStr;

    /**
     * 联系地址完整中文
     */
    private String contactAddrCode;

    /**
     * 联系地址完整中文
     */
    private String contactAddress;

    /**
     * 认证分类(物流公司 场站 园区)
     */
    private String remark;
    /**
     * 微信openId
     */
    private String openId;
    /**
     * 支付密码
     */
    private String payPassword;


}
