package com.ruoyi.common.core.constant;

/**
 * 通用常量信息
 * 
 * @author ruoyi
 */
public class Constants
{
    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * www主域
     */
    public static final String WWW = "www.";

    /**
     * RMI 远程方法调用
     */
    public static final String LOOKUP_RMI = "rmi:";

    /**
     * LDAP 远程方法调用
     */
    public static final String LOOKUP_LDAP = "ldap:";

    /**
     * LDAPS 远程方法调用
     */
    public static final String LOOKUP_LDAPS = "ldaps:";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * https请求
     */
    public static final String HTTPS = "https://";

    /**
     * 成功标记
     */
    public static final Integer SUCCESS = 200;

    /**
     * 失败标记
     */
    public static final Integer FAIL = 500;

    /**
     * 登录成功状态
     */
    public static final String LOGIN_SUCCESS_STATUS = "0";

    /**
     * 登录失败状态
     */
    public static final String LOGIN_FAIL_STATUS = "1";

    /**
     * 登录成功
     */
    public static final String LOGIN_SUCCESS = "Success";

    /**
     * 注销
     */
    public static final String LOGOUT = "Logout";

    /**
     * 注册
     */
    public static final String REGISTER = "Register";

    /**
     * 登录失败
     */
    public static final String LOGIN_FAIL = "Error";

    /**
     * 当前记录起始索引
     */
    public static final String PAGE_NUM = "pageNum";

    /**
     * 每页显示记录数
     */
    public static final String PAGE_SIZE = "pageSize";

    /**
     * 排序列
     */
    public static final String ORDER_BY_COLUMN = "orderByColumn";

    /**
     * 排序的方向 "desc" 或者 "asc".
     */
    public static final String IS_ASC = "isAsc";

    /**
     * 验证码有效期（分钟）
     */
    public static final long CAPTCHA_EXPIRATION = 2;

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/profile";

    /**
     * 自动识别json对象白名单配置（仅允许解析的包名，范围越小越安全）
     */
    public static final String[] JSON_WHITELIST_STR = { "org.springframework", "com.ruoyi" };

    /**
     * 定时任务白名单配置（仅允许访问的包名，如其他需要可以自行添加）
     */
    public static final String[] JOB_WHITELIST_STR = { "com.ruoyi" };

    /**
     * 定时任务违规的字符
     */
    public static final String[] JOB_ERROR_STR = { "java.net.URL", "javax.naming.InitialContext", "org.yaml.snakeyaml",
            "org.springframework", "org.apache", "com.ruoyi.common.core.utils.file" };

    /**
     * 是否删除。否
     */
    public static final String DELETE_NO = "0";
    /**
     * 是否删除。是
     */
    public static final String DELETE_YES = "1";

    /**
     * 所属系统。后台
     */
    public static final String BELONG_SYSTEM = "1";
    /**
     * 所属系统。网站
     */
    public static final String BELONG_WEBSITE = "2";
    /**
     * 信息发布状态。未发布
     */
    public static final String RELEASE_STATUS_NO = "1";
    /**
     * 信息发布状态。已发布
     */
    public static final String RELEASE_STATUS_YES = "2";

    /**
     * 用户认证类型。1--车主 2--船主 3--货主
     */
    public static final String PARENT_AUTH_TYPE_CAROWNER = "1";
    /**
     * 用户认证类型。1--车主 2--船主 3--货主
     */
    public static final String PARENT_AUTH_TYPE_SHIPOWNER = "2";
    /**
     * 用户认证类型。1--车主 2--船主 3--货主
     */
    public static final String PARENT_AUTH_TYPE_GOODSOWNER = "3";
    /**
     * 用户认证类型。1--个人 2--公司
     */
    public static final String PARENT_AUTH_TYPE_OWNER = "1";
    /**
     * 用户认证类型。1--个人 2--公司
     */
    public static final String PARENT_AUTH_TYPE_COMPANY = "2";


    /**
     * 角色ID。102 网站游客
     */
    public static final Long ROLE_ID_TOURIST = 102L;
    /**
     * 角色ID。103	车主 104	船主 105	货主
     */
    public static final Long ROLE_ID_CAROWNER = 103L;
    /**
     * 角色ID。103	车主 104	船主 105	货主
     */
    public static final Long ROLE_ID_SHIPOWNER = 104L;
    /**
     * 角色ID。103	车主 104	船主 105	货主
     */
    public static final Long ROLE_ID_GOODSOWNER = 105L;

    public static final String YES = "1";
    public static final String NO = "2";
}
