package com.ruoyi.business.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


import java.io.Serializable;
import java.util.Date;


/**
 * 对外业务服务对象 b_service_business
 * 
 * @author wzq
 * @date 2024-01-10
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class ServiceBusinessVo implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 数据服务报表日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date reportTime;
    //数据服务总数
    private String total;

    /**
     * 所属系统
     */
    private String clientId;

    /**
     * 输入类型数量
     */
    private String typeCount1;

    /**
     * 查询类型数量
     */

    private String typeCount2;

    /**
     * 自定义查询类型数量
     */

    private String typeCount3;

    /**
     * 正常数量
     */

    private String publishStatusCount1;

    /**
     * 异常数量
     */

    private String publishStatusCount2;

    /**
     * 需求数量
     */

    private String cycleCount1;

    /**
     * 设计数量
     */

    private String cycleCount2;

    /**
     * 开发数量
     */

    private String cycleCount3;

    /**
     * 运维数量
     */
    private String cycleCount4;

    /**
     * 退役数量
     */
    private String cycleCount5;




}
