package com.ruoyi.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.*;
import com.ruoyi.business.domain.FileExchangeResolveLog;

/**
 * 文件打包解析日志Mapper接口
 * 
 * @author ruoyi
 * @date 2024-01-31
 */
public interface FileExchangeResolveLogMapper extends BaseMapper<FileExchangeResolveLog> {

    /**
     * 查询文件打包解析日志
     * 
     * @param id 文件打包解析日志主键
     * @return 文件打包解析日志
     */
    FileExchangeResolveLog selectFileExchangeResolveLogById(Long id);

    /**
     * 查询文件打包解析日志列表
     * 
     * @param fileExchangeResolveLog 文件打包解析日志
     * @return 文件打包解析日志集合
     */
    List<FileExchangeResolveLog> selectFileExchangeResolveLogList(FileExchangeResolveLog fileExchangeResolveLog);

    /**
     * 新增文件打包解析日志
     * 
     * @param fileExchangeResolveLog 文件打包解析日志
     * @return 结果
     */
    int insertFileExchangeResolveLog(FileExchangeResolveLog fileExchangeResolveLog);

    /**
     * 修改文件打包解析日志
     * 
     * @param fileExchangeResolveLog 文件打包解析日志
     * @return 结果
     */
    int updateFileExchangeResolveLog(FileExchangeResolveLog fileExchangeResolveLog);

    /**
     * 删除文件打包解析日志
     * 
     * @param id 文件打包解析日志主键
     * @return 结果
     */
    int deleteFileExchangeResolveLogById(Long id);

    /**
     * 批量删除文件打包解析日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFileExchangeResolveLogByIds(Long[] ids);

    /**
     * 批量删除文件打包解析日志（逻辑）
     * @param updateWrapper
     */
     @Update("update b_file_exchange_resolve_log set ${ew.sqlSet} ${ew.customSqlSegment}")
     int updateByIds(@Param(Constants.WRAPPER) LambdaUpdateWrapper<FileExchangeResolveLog> updateWrapper);
}
