package com.ruoyi.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.*;
import com.ruoyi.business.domain.FileExchangeResolve;

/**
 * 文件打包解析Mapper接口
 * 
 * @author gx
 * @date 2024-01-31
 */
public interface FileExchangeResolveMapper extends BaseMapper<FileExchangeResolve> {

    /**
     * 查询文件打包解析
     * 
     * @param id 文件打包解析主键
     * @return 文件打包解析
     */
    FileExchangeResolve selectFileExchangeResolveById(Long id);

    /**
     * 查询文件打包解析列表
     * 
     * @param fileExchangeResolve 文件打包解析
     * @return 文件打包解析集合
     */
    List<FileExchangeResolve> selectFileExchangeResolveList(FileExchangeResolve fileExchangeResolve);

    /**
     * 新增文件打包解析
     * 
     * @param fileExchangeResolve 文件打包解析
     * @return 结果
     */
    int insertFileExchangeResolve(FileExchangeResolve fileExchangeResolve);

    /**
     * 修改文件打包解析
     * 
     * @param fileExchangeResolve 文件打包解析
     * @return 结果
     */
    int updateFileExchangeResolve(FileExchangeResolve fileExchangeResolve);

    /**
     * 删除文件打包解析
     * 
     * @param id 文件打包解析主键
     * @return 结果
     */
    int deleteFileExchangeResolveById(Long id);

    /**
     * 批量删除文件打包解析
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFileExchangeResolveByIds(Long[] ids);

    /**
     * 批量删除文件打包解析（逻辑）
     * @param updateWrapper
     */
     @Update("update b_file_exchange_resolve set ${ew.sqlSet} ${ew.customSqlSegment}")
     int updateByIds(@Param(Constants.WRAPPER) LambdaUpdateWrapper<FileExchangeResolve> updateWrapper);
}
