package com.ruoyi.business.mapper;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.ruoyi.business.domain.ServiceBusiness;
import com.ruoyi.business.domain.ServiceBusinessVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.Date;
import java.util.List;

/**
 * 对外业务服务Mapper接口
 * 
 * @author wzq
 * @date 2024-01-10
 */
public interface ServiceBusinessMapper extends BaseMapper<ServiceBusiness> {

    /**
     * 查询对外业务服务
     * 
     * @param id 对外业务服务主键
     * @return 对外业务服务
     */
    ServiceBusiness selectServiceBusinessById(Long id);

    /**
     * 查询对外业务服务列表
     * 
     * @param serviceBusiness 对外业务服务
     * @return 对外业务服务集合
     */
    List<ServiceBusiness> selectServiceBusinessList(ServiceBusiness serviceBusiness);

    /**
     * 新增对外业务服务
     * 
     * @param serviceBusiness 对外业务服务
     * @return 结果
     */
    int insertServiceBusiness(ServiceBusiness serviceBusiness);

    /**
     * 修改对外业务服务
     * 
     * @param serviceBusiness 对外业务服务
     * @return 结果
     */
    int updateServiceBusiness(ServiceBusiness serviceBusiness);

    /**
     * 删除对外业务服务
     * 
     * @param id 对外业务服务主键
     * @return 结果
     */
    int deleteServiceBusinessById(Long id);

    /**
     * 批量删除对外业务服务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteServiceBusinessByIds(Long[] ids);

    /**
     * 批量删除对外业务服务（逻辑）
     * @param updateWrapper
     */
     @Update("update b_service_business set ${ew.sqlSet} ${ew.customSqlSegment}")
     int updateByIds(@Param(Constants.WRAPPER) LambdaUpdateWrapper<ServiceBusiness> updateWrapper);

}
