package com.ruoyi.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.FileExchangePackageLog;

import java.util.List;

/**
 * 对外文件打包日志Service接口
 * 
 * @author ruoyi
 * @date 2024-01-29
 */
public interface IFileExchangePackageLogService extends IService<FileExchangePackageLog> {

    /**
     * 查询对外文件打包日志列表
     * 
     * @param fileExchangePackageLog 对外文件打包日志
     * @return 对外文件打包日志集合
     */
    List<FileExchangePackageLog> selectFileExchangePackageLogList(FileExchangePackageLog fileExchangePackageLog);

    /**
     * 查询对外文件打包日志详情
     *
     * @param id 对外文件打包日志主键
     * @return 对外文件打包日志
     */
     FileExchangePackageLog selectFileExchangePackageLogById(Long id);

    /**
     * 新增对外文件打包日志
     * 
     * @param fileExchangePackageLog 对外文件打包日志
     * @return 结果
     */
    int insertFileExchangePackageLog(FileExchangePackageLog fileExchangePackageLog);

    /**
     * 批量删除对外文件打包日志
     * 
     * @param ids 需要删除的对外文件打包日志主键集合
     * @return 结果
     */
    int deleteFileExchangePackageLogByIds(Long[] ids);

    /**
     * 删除对外文件打包日志信息
     * 
     * @param id 对外文件打包日志主键
     * @return 结果
     */
    int deleteFileExchangePackageLogById(Long id);
}
